Subject: [ippm] Roman Danyliw's No Objection on draft-ietf-ippm-multipoint-alt-mark-07: (with COMMENT)

From: Roman Danyliw via Datatracker <[email-masked]>
Date: Wed, 11 Mar 2020 21:30:03 -0700

Roman Danyliw has entered the following ballot position for
draft-ietf-ippm-multipoint-alt-mark-07: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ippm-multipoint-alt-mark/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I support Ben Kaduk’s DISCUSS position.

** Section 1.  Per “There are some applications of the alternate marking method
where there are a lot of monitored flows and nodes.” -- Editorial. 
“alternative marking methods” is lower case but “Alternative Marking
methodology” is upper case in other places

-- “a lot of monitored” seems colloquial and imprecise and begged for me,
“what’s a lot”? (subsequent text says “n and m are high values”, but I also
don’t have a sense for what that might be)

** Section 1.  Per “Without network clustering, it is possible to apply
alternate marking only for all the network or per single flow.  Instead, with
network    clustering, it is possible to use the network clusters partition …”,
the phrase “network clusters partition” doesn’t parse for me.

** Section 4.  Per “By Using the "traditional" alternate marking method only
point-to-point paths can be monitored.”, perhaps say alternative marking per
RFC8321 instead of “traditional …”.

** Section 4.1.  “In general there are different options: the monitoring
network can be obtained by considering all the possible paths for the traffic
or also by checking the traffic sometimes and update the graph consequently.”

-- Editorial: s/In general there are different options: … by checking the
traffic sometimes and update the graph consequently/In general, there are
different options: by periodically checking the traffic and updating the graph
as appropriate/

-- Is there any guidance on the how to frequently this evaluation of traffic
should be?

** Section 5.  How generalizable is the flow description?  These statements
seem inconsistent:

-- Section 4 says “Multipoint Alternate Marking enables the performance
measurement for multipoint flows selected by identification fields without any
constraints (even the entire network production traffic).

-- Section 5 says “The flow definition is generalized here, indeed, as
described before, a multipoint packet flow is considered and the identification
fields of the 5-tuple can be selected without any constraints.

** Section 9.  I didn’t understand what this section was saying that is
different than Section 10.  IMO, the “SDN Controller calibrating for
performance measurements” and [I-D.song-opsawg-ifit-framework] descriptions
seemed like “Examples of applications” covered in Section 10.   The title of
this section “An Intelligent Performance Management approach” seemed a little
“marketing like”.

---

From: Giuseppe Fioccola <[email-masked]>
Date: Thu, 12 Mar 2020 16:41:49 +0000

Dear Roman,
Thanks for your comment.
Please find my answers inline tagged as [GF].

If you agree, I will include the proposed changes in the next version.

Best Regards,

Giuseppe

-----Original Message-----
From: Roman Danyliw via Datatracker [mailto:[email-masked]] 
Sent: Thursday, March 12, 2020 5:30 AM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Tal Mizrahi <[email-masked]>; [email-masked]
Subject: Roman Danyliw's No Objection on draft-ietf-ippm-multipoint-alt-mark-07: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

[GF]: I have proposed in separated email how to address Ben Kaduk’s DISCUSS position.

** Section 1.  Per “There are some applications of the alternate marking method where there are a lot of monitored flows and nodes.” -- Editorial. 
“alternative marking methods” is lower case but “Alternative Marking methodology” is upper case in other places

[GF]: I will fix this in the entire document.

-- “a lot of monitored” seems colloquial and imprecise and begged for me, “what’s a lot”? (subsequent text says “n and m are high values”, but I also don’t have a sense for what that might be)

[GF]: You are right. I can specify better this concept. The number of  measurement points and monitored flows may vary and depends on the portion of the network we are monitoring (core network, metro network, access network,...) and on the granularity (for each service, each customer,...)

** Section 1.  Per “Without network clustering, it is possible to apply alternate marking only for all the network or per single flow.  Instead, with
network    clustering, it is possible to use the network clusters partition …”,
the phrase “network clusters partition” doesn’t parse for me.

[GF]: I can replace it with "partition of the network in subnetworks called clusters". The term 'cluster' is explained in the following sections.

** Section 4.  Per “By Using the "traditional" alternate marking method only point-to-point paths can be monitored.”, perhaps say alternative marking per
RFC8321 instead of “traditional …”.

[GF]: Yes, I will correct.

** Section 4.1.  “In general there are different options: the monitoring network can be obtained by considering all the possible paths for the traffic or also by checking the traffic sometimes and update the graph consequently.”

-- Editorial: s/In general there are different options: … by checking the traffic sometimes and update the graph consequently/In general, there are different options: by periodically checking the traffic and updating the graph as appropriate/

[GF]: Yes, I will correct

-- Is there any guidance on the how to frequently this evaluation of traffic should be?

[GF]: I think the network graph can be updated in several ways (e.g. daily basis, weekly basis,...). It is up to management system configuration.

** Section 5.  How generalizable is the flow description?  These statements seem inconsistent:

-- Section 4 says “Multipoint Alternate Marking enables the performance measurement for multipoint flows selected by identification fields without any constraints (even the entire network production traffic).

-- Section 5 says “The flow definition is generalized here, indeed, as described before, a multipoint packet flow is considered and the identification fields of the 5-tuple can be selected without any constraints.

[GF]: You are right. This is an oversight and I will align the two definitions. In particular the one in Section 4 is better.

** Section 9.  I didn’t understand what this section was saying that is different than Section 10.  IMO, the “SDN Controller calibrating for performance measurements” and [I-D.song-opsawg-ifit-framework] descriptions
seemed like “Examples of applications” covered in Section 10.   The title of
this section “An Intelligent Performance Management approach” seemed a little “marketing like”.

[GF]: This section aims to highlight the potential usage of the methodology to implement an intelligent approach. I can change "Intelligent" with "reflection-loop" or "closed-loop". What do you think?